Skip to main content
`Ctrl`+`K`

# DMLocalToGlobalEnd

updates global vectors from local vectors

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMLocalToGlobalEnd(DM dm, Vec l, InsertMode mode, Vec g)

Neighbor-wise Collective

## Input Parameters

- dm - the `DM` object

- l - the local vector

- mode - `INSERT_VALUES` or `ADD_VALUES`

- g - the global vector

## Note

See `DMLocalToGlobalBegin()` for full details

## See Also

DM Basics, `DM`, `DMLocalToGlobalBegin()`, `DMCoarsen()`, `DMDestroy()`, `DMView()`, `DMCreateGlobalVector()`, `DMCreateInterpolation()`, `DMGlobalToLocalEnd()`

## Level

intermediate

## Location

src/dm/interface/dm.c

## Examples

src/dm/tutorials/ex7.c
src/ksp/ksp/tutorials/ex69.c
src/dm/tutorials/ex14.c
src/dm/tutorials/ex1.c
src/ksp/ksp/tutorials/ex49.c
src/ksp/ksp/tutorials/ex42.c
src/dm/tutorials/ex5.c
src/dm/tutorials/ex9.c
src/ksp/ksp/tutorials/ex70.c
src/ksp/ksp/tutorials/ex43.c

## Implementations

DMLocalToGlobalEnd_Composite() in src/dm/impls/composite/pack.c
DMLocalToGlobalEnd_DA() in src/dm/impls/da/dagtol.c
DMLocalToGlobalEnd_Moab() in src/dm/impls/moab/dmmbvec.cxx
DMLocalToGlobalEnd_Network() in src/dm/impls/network/network.c
DMLocalToGlobalEnd_Redundant() in src/dm/impls/redundant/dmredundant.c
DMLocalToGlobalEnd_Stag() in src/dm/impls/stag/stag.c
DMLocalToGlobalEnd_Swarm() in src/dm/impls/swarm/swarm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages